Bug 176268 - Invalid .so link in some Postfix man pages
Invalid .so link in some Postfix man pages
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postfix (Show other bugs)
4.4
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 13:41 EST by Jeff Abbott
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 09:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Abbott 2005-12-20 13:41:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US) AppleWebKit/125.4 (KHTML, like Gecko, Safari) OmniWeb/v563.64

Description of problem:
After installing Postfix and uninstalling Sendmail, then running 'alternatives --auto mta' I get the 
following when trying to view Postfix's newaliases man page:

fopen: No such file or directory
Cannot open man page /usr/share/man/man1/sendmail.1.gz
No manual entry for newaliases

Looking at /usr/share/man/man1/newaliases.1.gz (which points to /etc/alternatives/mta-
newaliasesman which points to /usr/share/man/man1/newaliases.postfix.1.gz:

[root@foobar ~]# zcat /usr/share/man/man1/newaliases.1.gz 
.so man1/sendmail.1
[root@foobar ~]# 

I think this should probably be linking to sendmail.postfix.1

Version-Release number of selected component (if applicable):
postfix-2.2.2-2

How reproducible:
Always

Steps to Reproduce:
1. Install Postfix and (if necessary) uninstall Sendmail
2. Run 'alternatives --auto mta'
2. Run 'man newaliases'
  

Actual Results:  fopen: No such file or directory
Cannot open man page /usr/share/man/man1/sendmail.1.gz
No manual entry for newaliases

Expected Results:  I would expect to see the manual page for Postfix's newaliases command.

Additional info:
Comment 1 Seth Vidal 2005-12-20 14:18:46 EST
this is also happening on RHEL4U2
Comment 2 Christian Iseli 2007-01-22 06:27:30 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Jeff Abbott 2007-01-22 08:18:46 EST
Verified on RHEL4U4 and got the exact same results.  Since I no longer have any
Fedora Core boxes readily available, I'm reassigning it to RHEL - 4.4.

Thanks,
Jeff
Comment 4 Phil Knirsch 2008-08-26 09:47:37 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.